Package org.apache.commons.math3.random

# Class GaussianRandomGenerator

java.lang.Object
org.apache.commons.math3.random.GaussianRandomGenerator

All Implemented Interfaces:
  `NormalizedRandomGenerator`

public class GaussianRandomGenerator extends Object implements NormalizedRandomGenerator
This class is a gaussian normalized random generator for scalars.

This class is a simple wrapper around the `RandomGenerator.nextGaussian()` method.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`GaussianRandomGenerator(RandomGenerator generator)`
Create a new generator.

## Method Summary

Modifier and Type
Method
Description
`double`
`nextNormalizedDouble()`
Generate a random scalar with null mean and unit standard deviation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GaussianRandomGenerator

public GaussianRandomGenerator(RandomGenerator generator)
Create a new generator.

Parameters:
  `generator` - underlying random generator to use

## Method Details

### nextNormalizedDouble

public double nextNormalizedDouble()
Generate a random scalar with null mean and unit standard deviation.

Specified by:
  `nextNormalizedDouble` in interface `NormalizedRandomGenerator`
Returns:
  a random scalar with null mean and unit standard deviation